#
# spec file for package python-aws-sam-translator
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-aws-sam-translator
Version:        1.9.0
Release:        2.1
License:        Apache-2.0
Summary:        AWS SAM template to AWS CloudFormation template translator
Url:            https://github.com/awslabs/serverless-application-model
Group:          Development/Languages/Python
Source:         https://files.pythonhosted.org/packages/source/a/aws-sam-translator/aws-sam-translator-%{version}.tar.gz
Patch:          ast_drop-compatible-releases-operator.patch
BuildRequires:  python-rpm-macros
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
# SECTION test requirements
BuildRequires:  %{python_module boto3 >= 1.5}
BuildRequires:  %{python_module boto3 < 2.0}
BuildRequires:  %{python_module jsonschema >= 2.6}
BuildRequires:  %{python_module jsonschema < 3.0}
BuildRequires:  %{python_module six >= 1.11}
BuildRequires:  %{python_module six < 2.0}
# /SECTION
BuildRequires:  fdupes
Requires:       python-boto3 >= 1.5
Requires:       python-boto3 < 2.0
Requires:       python-jsonschema >= 2.6
Requires:       python-jsonschema < 3.0
Requires:       python-six >= 1.11
Requires:       python-six < 2.0
Suggests:       python-enum34 >= 1.1
Suggests:       python-enum34 < 2.0
Suggests:       python-coverage >= 4.4.0
Suggests:       python-flake8 >= 3.3.0
Suggests:       python-tox >= 2.2.1
Suggests:       python-pytest-cov >= 2.4.0
Suggests:       python-pylint >= 1.7.2
Suggests:       python-PyYAML == 3.12
Suggests:       python-pytest >= 3.0.7
Suggests:       python-py >= 1.4.33
Suggests:       python-mock >= 2.0.0
Suggests:       python-nose >= 1.3.7
Suggests:       python-parameterized >= 0.6.1
Suggests:       python-requests >= 2.11.1
Suggests:       python-docopt >= 0.6.2
BuildArch:      noarch

%python_subpackages

%description
AWS SAM Translator is a library that transform SAM
templates into AWS CloudFormation templates

%prep
%setup -q -n aws-sam-translator-%{version}
%patch -p1

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%files %{python_files}
%doc README.md
%license LICENSE
%{python_sitelib}/*

%changelog
* Mon Jan 21 2019 adrian.glaubitz@suse.com
- Initial build
  + Version 1.9.0
- Add patch to drop compatible releases operator from setup.py,
  required for SLES12 as the setuptools version is too old
  + ast_drop-compatible-releases-operator.patch
